package com.mobai.runner;

import com.alibaba.fastjson.JSON;
import com.aliyun.ecs20140526.models.DescribeInstancesResponse;
import com.mobai.domain.MqttServerModel;
import com.mobai.mq.rabbitmq.cofig.MqttFactory;
import com.mobai.mq.rabbitmq.cofig.MqttProperties;
import com.mobai.mq.rabbitmq.domian.GetOptions;
import com.mobai.mq.rabbitmq.domian.MqttCallBackServiceImpl;
import com.mobai.openApi.SelectInstances;
import com.mobai.util.RedisService;
import org.eclipse.paho.client.mqttv3.MqttClient;
import org.eclipse.paho.client.mqttv3.MqttConnectOptions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.data.redis.connection.RedisServer;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @ClassName MqttRunner
 * @Description 描述
 * @Author Mobai
 * @Date 2024/6/4 20:03
 */
@Component
public class MqttRunner implements ApplicationRunner {

    @Autowired
    private SelectInstances selectInstances;

    @Override
    public void run(ApplicationArguments args) throws Exception {
        // 存入mqttIp
        selectInstances.saveIps();
    }
}
